Get All KYC Search Results
curl --request GET \
--url https://adhere-api.smartcomply.com/api/v1/monitoring/kyc_search/ \
--header 'x-access-token: <api-key>'import requests
url = "https://adhere-api.smartcomply.com/api/v1/monitoring/kyc_search/"
headers = {"x-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://adhere-api.smartcomply.com/api/v1/monitoring/kyc_search/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}KYC
Obtenir tous les résultats de recherche KYC
Récupérez tous les résultats de recherche KYC associés à votre compte, notamment les niveaux de risque et les constats de sanctions.
GET
/
api
/
v1
/
monitoring
/
kyc_search
/
Get All KYC Search Results
L’endpoint Obtenir tous les résultats de recherche KYC renvoie une liste de chaque vérification KYC effectuée sous votre compte. Chaque résultat inclut le niveau de risque de l’entité, son statut PEP, ses correspondances de sanctions et les constats de médias défavorables.
Endpoint
GET /api/v1/monitoring/kyc_search/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Exemple
curl -X GET "https://adhere-api.smartcomply.com/api/v1/monitoring/kyc_search/" \
-H "x-access-token: YOUR_SECRET_KEY"
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data[].id | number | Identifiant unique du résultat de recherche KYC |
data[].entity_name | string | Nom de l’entité qui a été recherchée |
data[].branch_id | number | Agence associée à cette recherche KYC |
data[].status | string | Statut de la recherche (p. ex., "completed") |
data[].result.risk_level | string | Niveau de risque évalué : "low", "medium" ou "high" |
data[].result.total_hits | number | Total des correspondances signalées dans toutes les catégories |
data[].result.pep_results | array | Correspondances de Personnes Politiquement Exposées |
data[].result.sanction_results | array | Correspondances de listes de sanctions |
data[].result.social_media | array | Profils de médias sociaux trouvés |
data[].result.adverse_media_results | array | Articles de médias défavorables |
data[].result.total_blacklist_hits | number | Total des indicateurs de liste noire |
{
"status": "success",
"data": [
{
"id": 17,
"entity_name": "ABDUL MANAN MOHAMMAD ISHAK",
"branch_id": 3,
"status": "completed",
"result": {
"risk_level": "low",
"total_hits": 1,
"pep_results": [],
"search_term": "ABDUL MANAN MOHAMMAD ISHAK",
"social_media": [],
"sanction_results": [
{
"name": "Abdul Manan Mohammad Ishak",
"types": ["sanction", "warnings", "fitness-probity"],
"source": "Smartcomply",
"country": "Afghanistan",
"recorded_date": "15 Aug. 2012"
}
],
"total_blacklist_hits": 0,
"adverse_media_results": []
}
},
{
"id": 41,
"entity_name": "Heritage Bank",
"branch_id": 3,
"status": "completed",
"result": {
"risk_level": "high",
"total_hits": 5,
"pep_results": [
{
"name": "Managing Director/CEO, Heritage Bank Plc",
"gender": null,
"source": "Smartcomply",
"country": "Nigeria",
"pep_types": ["pep"]
}
],
"search_term": "Heritage Bank",
"social_media": [],
"sanction_results": [],
"total_blacklist_hits": 0,
"adverse_media_results": [
{
"url": "https://thewillnews.com/breaking-cbn-revokes-operational-license-of-heritage-bank-plc/",
"date": "June 5, 2024",
"title": "CBN revokes operational license of Heritage Bank Plc",
"types": ["adverse-media-v2-other-financial"],
"snippet": "The Central Bank of Nigeria (CBN) has revoked the banking license of Heritage Bank Plc..."
}
]
}
}
],
"message": "Success"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
Autorisations
Your Adhere API secret key
Réponse
All KYC results retrieved

